<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
</head>
<body>
	<script>
		const music = ["Джаз", "Блюз"];
		document.write("Изначальный массив \"" + music +"\"<br />");
		music.push("Рок-н-ролл");
		document.write("Добавил Рок-н-роллу... Встречайте&#9786; \"" + music +"\"<br />");
		document.write("Длина нашего массива на данный момент \"" + music.length + "\" элемента<br />");
		let center = Math.round(music.length/2-1);
		document.write("Порядковый номер \"центрального\" индекса на данный момент будет равен \"" + center + "\"<br />");
		document.write("Теперь вместо центрального индекса вставляем Классику<br />");
		music[center] = "Классика";
		document.write(music + "<br />");
		let delFirstElement = music.shift();
		document.write("Удалённый из массива элемент - " + delFirstElement + "<br />");
		music.unshift("Рэп", "Регги");
		document.write("Итоговый массив с добавленными элементами - " + music + "<br />");
	</script>
</body>
</html>